Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.api
Interface EPCCacheReport

public interface EPCCacheReport

Report issued to indicate that an EPC cache has reached a low-level reporting threshold.

A low cache notification is issued when:

- the EPC cache's count of remaining EPCs drops to the threshold due to the action of programming cycles. Note that a `ALEPC.depleteEPCCache(java.lang.String)` operation does not cause a low cache notification to be issued.
- the EPC cache is at or below the threshold when a new cache report subscription is created. In such cases, the new subscription will immediately be notified.
- the EPC cache is at or below the threshold when a cache report subscription is restored from the persistent store during a restart. In such cases, the restored subscription will immediately be notified.
- the EPC cache is replenished but the as-replenished cache is at or below the threshold.

Method Summary
`java.lang.String` | `getApplicationData()` Gets the application data string provided in the EPCCacheSpec.
`EPCPatterns` | `getCacheContent()` Describes the remaining content of the EPC cache.
`java.lang.String` | `getCacheName()` Returns the name of the reporting EPC cache.
`long` | `getCacheSize()` Indicates how many EPC cache entries remain.
`long` | `getDate()` Gets the time the report was generated.
`java.lang.String` | `getSavantID()` Gets an identifier for the edge server which generated this report.
`long` | `getThreshold()` Indicates the low-cache reporting threshold defined for the EPCCacheSpec.

Method Detail

### getDate

    public long getDate()

  Gets the time the report was generated.

  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis()

### getSavantID

    public java.lang.String getSavantID()

  Gets an identifier for the edge server which generated this report.

### getCacheName

    public java.lang.String getCacheName()

  Returns the name of the reporting EPC cache.

### getApplicationData

    public java.lang.String getApplicationData()

  Gets the application data string provided in the EPCCacheSpec.

### getCacheSize

    public long getCacheSize()

  Indicates how many EPC cache entries remain.

### getCacheContent

    public EPCPatterns getCacheContent()

  Describes the remaining content of the EPC cache.

  Returns:
    A EPCPatterns instance, or null if the EPCCacheSpec is configured to omit this information.

### getThreshold

    public long getThreshold()

  Indicates the low-cache reporting threshold defined for the EPCCacheSpec.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD